# Intel® Enhanced Privacy ID SDK: epid/common/stack.h File Reference

stack.h File Reference

Stack container interface. More...

`#include <stddef.h>`
`#include "epid/common/stdtypes.h"`

## Functions

bool | CreateStack (size_t element_size, Stack **stack)
| Create stack. More...
void * | StackPushN (Stack *stack, size_t n, void *elements)
| Push multiple elements to the stack. More...
bool | StackPopN (Stack *stack, size_t n, void *elements)
| Pop multiple elements from the stack. More...
size_t | StackGetSize (Stack const *stack)
| Get number of elements in the stack. More...
void | DeleteStack (Stack **stack)
| Deallocates memory used for the stack. More...

## Detailed Description

Stack container interface.